Cisco Support Community

software, hardware and Licensing requirement for 4500 VSS

VSS is supported on 4500 switches but the following requirements must meet.

Licensing requirement:

4500-X – IP base or higher.(not supported in LAN base)

Sup7E – IP base or higher.(not supported in LAN base)

Sup7LE- entservices.


Software support:

IOS-XE3.4.0SG/ 15.1(2)SG Software Release.


Linecard and port-type supported for VSL:

Supervisor ports:

      Sup7-E and Sup 7L-E Uplink Ports.

47xx Linecards:

      WS-X4748-RJ45V+E  Speed: 1G

      WS-X4712-SFP+E   Speed: 10G

      WS-X4748-UPOE+E  Speed: 1G

      WS-X4748-RJ45-E    Speed: 1G

46xx Linecards:

     WS-X4606-X2-E Speed:  Speed: 10G

     WS-X4648-RJ45V-E   Speed: 1G

     WS-X4648-RJ45V+E   Speed: 1G

     WS-X4648-RJ45-E   Speed: 1G

     WS-X4640-CSFP-E   Speed: 1G

     WS-X4624-SFP-E   Speed: 1G

     WS-X4612-SFP-E   Speed: 1G


45xx and lower Linecards :









Note: VSS on Sup8E is currently not supported (as of 16th April 2014) -We have road map to support from IOS-XE 3.6.

Community Member

Hi Fumohamm,

If each chassis have 2 spv.

How many license upgrade (IP to Ent) we must order ?

license per chasiss or per Spv ?


Thank you,


Cisco Employee

Hi Susanto,


you only need 1 license per chassis. The license is based on the chassis and not the Supervisor 7‐E although the license is stored on the Supervisor 7-E for that chassis. 

Community Member

Hi Fumohamm,

ok, it's clear now.

Thank you very much for your support and fast response :)

Community Member

Hello Fumohamm,

having two 4500X running as one with VSS.

How many license upgrades (IPBase to Entservices) do we need to order ?

One for each box (total two license upgr) or only one for the VSS cluster ?


Thanks and regards    Peter

Community Member


Is the WS-X4548-GB-RJ45 module supported in VSS? The documentation says that WS-X4548-RJ45V+ is supported. The only difference is the 802.3af PoE support, but I couldn't find a doc that confirm that this linecard is supported. 



Cisco Employee

Hi Javier,


There is no special requirement for a linecard to be part of VSS. as long as the linecard can work with the chassis, it should work with VSS. The requirement comes in when we need to have VSL on the Linecard. not all the linecards are VSL capable.

Community Member

On Cisco Catalyst 4500-X, VSS is supported in IP Base and Enterprise services. All 1 Gigabit Ethernet (GE) and 10GE links may be configured for virtual switch links (VSL).

Community Member

Hi Furose,

Our supervisor is SUP7L-E and license is IP base, could we go ahead for VSS?



Cisco Employee

Hi James,

Table 5 - Support by Image Type; VSS available on IP Base (SUP7E only) and Enterprise Services for everything

so, Sup7L-E requires entservices license to use VSS.